%{!?upstream_version: %global upstream_version %{commit}}
%global commit ed05e010004907f7e12e5f5cb0f2658f0584893d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

Name:           puppet-neutron
Version: 12.4.1
Release: 3%{alphatag}%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

#Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
Source0:        https://github.com/openstack/puppet-neutron/archive/%{commit}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=ed05e010004907f7e12e5f5cb0f2658f0584893d
Patch0001: 0001-IPv6-support-for-ODL-OVS-deployment.patch
Patch0002: 0002-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0003: 0003-Add-posibilities-to-set-tunnel_csum-in-ovs-agent.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n puppet-neutron-%{commit}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-3.873dfd1git
- Add posibilities to set tunnel_csum in ovs agent
- Add 'openstack-db' tag to db-sync Exec resource

* Wed Nov 28 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-2.873dfd1git
- IPv6 support for ODL-OVS deployment (rhbz#1636899)

* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.1-2.ed05e01git
- Rebase to (ed05e01) stable/queens branch

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 12.4.1-2.3aa3109git
- Rebase to (3aa3109) stable/queens branch

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



